<?
require "include/bittorrent.php";
dbconn();
loggedinorreturn();
if (get_user_class() < UC_MODERATOR)
stderr("Error", "Access denied.");
stdhead("Mass PM");
if ($_POST['message'] != "")
{
$num=0;
foreach( array_keys($_POST) as $x)
{
 if (substr($x,0,3) == "UC_"){
  $querystring .= " OR class = ".constant($x);
  $classnames .= substr($x,3).", ";
  $num++;
 }
}

if ($num == $_POST["numclasses"]){
 $res = mysql_query("SELECT id FROM users");
 $msg = $_POST['message']  . "\n\nAchtung: Das ist eine Massen PN ,diese wurde an alle User gesendet";
}else{
 $res = mysql_query("SELECT id FROM users where id = 1".$querystring) or sqlerr(__FILE__, __LINE__);
 $msg = $_POST['message']  . "\n\nAchtung: Das ist eine Massen PN ,diese wurde an folgende Userklassen gesendet: " . substr($classnames,0,(strlen($classnames)-2));
}

if ($_POST["fromsystem"] == "yes")
{ 
$sender_id="0";
$folder_id="-3";
}
else
{
$sender_id = $CURUSER["id"];
$folder_id="-1";
}

while($arr = mysql_fetch_row($res))
{
mysql_query("INSERT INTO messages (folder_in,sender, receiver, added, msg, poster) VALUES ($folder_id,$sender_id, $arr[0], '" . get_date_time() . "', " . sqlesc($msg) . ", $sender_id)") or sqlerr(__FILE__, __LINE__);
}

print("<b>Massen PN wurde erfolgreich verschickt !!!</b><br>");
}


?>
<form method=post action="masspm.php">
<table border=1 cellspacing=0 cellpadding=5 class="main" >
<tr><td colspan=2 class=tablecat <div align=center><font color=red>Massen PN</font></td></tr>
<tr><td colspan=2 class=tableb><div align=left>Diese PN wird an alle makierten Userklassen verschickt :</div></td></tr>
<tr><td colspan=2 class=tablea>
<?
$numclasses=0;
$constants = get_defined_constants ();
foreach( array_keys($constants) as $x)
{
if (substr($x,0,3) == "UC_"){
 echo "<input name=\"".$x."\" type=\"checkbox\" value=1 checked>".substr($x,3)."<br>";
 $numclasses++;
}
}
?>
<input type="hidden" name="numclasses" value="<? echo $numclasses; ?>" />
</td></tr>



<tr><td class=tableb>Nachricht</td><td class=tablea><textarea cols=60 rows=6 name="message"></textarea></td></tr>
<tr><td class=tableb>System PN</td><td class=tablea><input type="checkbox" name="fromsystem" value="yes" />makiere hier diese Option um die PN als  Systemnachricht zu verschicken</td>
<tr><td class=tableb  colspan=2><center><input type="submit" value="PN abschicken" class="btn" /></center></td></tr>
</table>
</form>
<? stdfoot(); ?>